package com.microservices.dms.behaviorImage.domain;

public class UserProjectTotalVo {
    //创建项目数
    private Long createProjectCount;
    //参与项目数
    private Long joinProjectCount;
    //fork项目数
    private Long forkProjectCount;
    //点赞项目数
    private Long praiseProjectCount;
    //关注项目数
    private Long watchProjectCount;
    //提交代码数
    private Long commitSum;
    //issue相关数
    private Long issueSum;
    //合并代码数
    private Long prSum;

    public Long getCreateProjectCount() {
        return createProjectCount;
    }

    public void setCreateProjectCount(Long createProjectCount) {
        this.createProjectCount = createProjectCount;
    }

    public Long getJoinProjectCount() {
        return joinProjectCount;
    }

    public void setJoinProjectCount(Long joinProjectCount) {
        this.joinProjectCount = joinProjectCount;
    }

    public Long getForkProjectCount() {
        return forkProjectCount;
    }

    public void setForkProjectCount(Long forkProjectCount) {
        this.forkProjectCount = forkProjectCount;
    }

    public Long getPraiseProjectCount() {
        return praiseProjectCount;
    }

    public void setPraiseProjectCount(Long praiseProjectCount) {
        this.praiseProjectCount = praiseProjectCount;
    }

    public Long getWatchProjectCount() {
        return watchProjectCount;
    }

    public void setWatchProjectCount(Long watchProjectCount) {
        this.watchProjectCount = watchProjectCount;
    }

    public Long getCommitSum() {
        return commitSum;
    }

    public void setCommitSum(Long commitSum) {
        this.commitSum = commitSum;
    }

    public Long getIssueSum() {
        return issueSum;
    }

    public void setIssueSum(Long issueSum) {
        this.issueSum = issueSum;
    }

    public Long getPrSum() {
        return prSum;
    }

    public void setPrSum(Long prSum) {
        this.prSum = prSum;
    }
}
